/// <reference types="react" />
import { ReactWidget } from './vdom';
/**
 * The class name added to the filebrowser crumbs node.
 */
export interface IFilterBoxProps {
    /**
     * A function to callback when filter is updated.
     */
    updateFilter: (filterFn: (item: string) => boolean) => void;
    /**
     * Whether to use the fuzzy filter.
     */
    useFuzzyFilter: boolean;
    /**
     * Optional placeholder for the search box.
     */
    placeholder?: string;
    /**
     * Whether to force a refresh.
     */
    forceRefresh?: boolean;
}
export declare const FilterBox: (props: IFilterBoxProps) => JSX.Element;
/**
 * A widget which hosts a input textbox to filter on file names.
 */
export declare const FilenameSearcher: (props: IFilterBoxProps) => ReactWidget;
